{
  "private": true,
  "license": "AGPL-3.0",
  "contributors": [
    {
      "email": "dev@xoria.de",
      "name": "Ole Reglitzki"
    }
  ],
  "homepage": "https://raining.cards",
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/xoria/raining-cards.git"
  },
  "main": "dist/main.js",
  "scripts": {
    "lint:fix": "eslint 'src/**/*.ts' --quiet --fix",
    "lint": "eslint 'src/**/*.ts'",
    "clean": "rimraf dist",
    "verify": "npm run lint && npm run typecheck",
    "verify:ci": "npm run verify",
    "build": "npm run clean && rollup -c",
    "start": "node --enable-source-maps dist/main.js",
    "typecheck": "tsc --project tsconfig.json --noEmit"
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged"
    }
  },
  "lint-staged": {
    "src/**/*.ts": [
      "eslint --fix"
    ]
  },
  "dependencies": {
    "@raining.cards/games": "^0.3.0",
    "@raining.cards/server": "^0.2.2",
    "dotenv": "^8.2.0",
    "tslib": "^2.2.0"
  },
  "devDependencies": {
    "@rollup/plugin-typescript": "^8.2.1",
    "@types/node": "^14.14.41",
    "@typescript-eslint/eslint-plugin": "^4.22.0",
    "@typescript-eslint/parser": "^4.22.0",
    "esbuild": "^0.11.12",
    "eslint": "^7.24.0",
    "eslint-config-prettier": "^8.2.0",
    "eslint-plugin-prettier": "^3.4.0",
    "husky": "^6.0.0",
    "lint-staged": "^10.5.4",
    "prettier": "^2.2.1",
    "rollup": "^2.45.2",
    "typescript": "^4.2.4"
  }
}
